<?php

/**
 * cerificado_contra actions.
 *
 * @package    contratacion
 * @subpackage cerificado_contra
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class cerificado_contraActions extends sfActions
{
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */
  public function executeCertificado(sfWebRequest $request)
  {
    
      $this->logMessage("---BEGIN Logging request");
        foreach ($request->getPostParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("--------------------------------------------------* Ip: " . $_SERVER['REMOTE_ADDR']);
        foreach ($request->getGetParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("---END Logging request");
        
        $id_contratista = $request['id_contratista'];
        $no_contrato = $request['no_contrato'];
      
        $where="";
        if($no_contrato!=""){
            
            $where.=" and tab0.no_contrato = ".$no_contrato;
        }
        
        
        $pdf = new CDPDF('P', 'mm', 'letter');
        
        $pdf->SetFont('Times', 'B', 8);
        $pdf->SetFillColor(255);
        $pdf->SetTextColor(0);
        $pdf->setTipo(3);
        
        // Header
        $pdf->AddPage();
        

        $pdf->SetFont('Times', '', 8);

        $consul = Doctrine_Manager::getInstance()->connection();
        
        $sql = "select tab0.*,

        case when tab3.descripcion='Persona Natural' then tab1.num_doc||'' else tab1.num_doc||'-'||tab1.dv end AS NUM_DOC,
        case when tab3.descripcion='Persona Natural' then tab1.nombre_razon||'' else 'la empresa '||tab1.nombre_razon end AS RAZON_SOC,
        case when tab3.descripcion='Persona Natural' then 'la '||lower(tab2.descripcion)||'No. ' else ''||tab2.descripcion end AS TIPIDEN,
        CASE WHEN tab0.carta_aceptacion = 1 THEN 'CARTA DE ACEPTACION' WHEN tab0.id_tipo_contrato IS NOT NULL THEN tab4.descripcion ELSE tab5.descripcion END AS TIPO,      
        tab6.fecha_inicio,tab6.fecha_terminacion,
        case when to_char(sysdate,'dd') = '01' then
        'el primer día del mes de' else
        'a los '||lower(numero_a_Texto ( to_char(sysdate,'dd'), 2, 'ESP' ))||'('||LPAD(TO_CHAR(sysdate,'dd'),2,'0')||') días del mes de' end AS EXPEDICION_LETRA
        ,
        trim(INITCAP(TO_CHAR(sysdate,'MONTH'))) as MES_actual,
        TO_CHAR(sysdate,'yyyy') as anho_actual


        from co_contrato tab0
        left join co_contratista tab1 ON tab1.id_contratista = tab0.id_contratista
        left join co_tipo_iden tab2 ON tab2.id_tipo_iden = tab1.id_tipo_iden
        left join co_nat_jur tab3 ON tab3.id_nat_jur = tab1.id_nat_jur
        left join co_tipo_contrato tab4 ON tab4.id_tipo_contrato = tab0.id_tipo_contrato
        left join co_tipo_convenio tab5 ON tab5.id_tipo_convenio = tab0.id_tipo_convenio
        left join co_legaliza_contrato tab6 ON tab6.id_contrato = tab0.id_contrato
        where tab0.id_contratista= $id_contratista".$where;
        
        $st = $consul->execute($sql);
        $datos = $st->fetchAll();
        
        $pdf->Output("certificacion.pdf", "D");
        
        
      
  }
}
